Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.typemapping
Enum VillageMethod

    java.lang.Object
      java.lang.Enum<VillageMethod>
          org.apache.torque.templates.typemapping.VillageMethod

All Implemented Interfaces:
  Serializable, Comparable<VillageMethod>

    public enum VillageMethod

extends Enum<VillageMethod>

All available village value conversion methods. $Id: VillageMethod.java 1331196 2012-04-27 02:56:12Z tfischer $

Enum Constant Summary
`BIG_DECIMAL`
`BOOLEAN`
`BOOLEAN_OBJECT`
`BYTE`
`BYTE_OBJECT`
`BYTES`
`DOUBLE`
`DOUBLE_OBJECT`
`FLOAT`
`FLOAT_OBJECT`
`INT`
`INTEGER_OBJECT`
`LONG`
`LONG_OBJECT`
`SHORT`
`SHORT_OBJECT`
`STRING`
`UTIL_DATE`

Method Summary
`String` | `getMethod()`
`String` | `toString()`
`static VillageMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VillageMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final VillageMethod STRING

### BIG_DECIMAL

    public static final VillageMethod BIG_DECIMAL

### BOOLEAN

    public static final VillageMethod BOOLEAN

### BYTE

    public static final VillageMethod BYTE

### SHORT

    public static final VillageMethod SHORT

### INT

    public static final VillageMethod INT

### LONG

    public static final VillageMethod LONG

### FLOAT

    public static final VillageMethod FLOAT

### DOUBLE

    public static final VillageMethod DOUBLE

### BYTES

    public static final VillageMethod BYTES

### UTIL_DATE

    public static final VillageMethod UTIL_DATE

### BOOLEAN_OBJECT

    public static final VillageMethod BOOLEAN_OBJECT

### BYTE_OBJECT

    public static final VillageMethod BYTE_OBJECT

### SHORT_OBJECT

    public static final VillageMethod SHORT_OBJECT

### INTEGER_OBJECT

    public static final VillageMethod INTEGER_OBJECT

### LONG_OBJECT

    public static final VillageMethod LONG_OBJECT

### FLOAT_OBJECT

    public static final VillageMethod FLOAT_OBJECT

### DOUBLE_OBJECT

    public static final VillageMethod DOUBLE_OBJECT

Method Detail

### values

    public static VillageMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VillageMethod c : VillageMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VillageMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMethod

    public String getMethod()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<VillageMethod>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.